Retrieve a Project Business Policy

get

/ic/api/integration/v1/projects/{projectId}/mcp/policies/business/{id}

Retrieves a project business policy, including its scope and configuration.

Request

Path Parameters
Query Parameters
  • Accepted but ignored for this single-policy operation; the policy details are returned independently of this parameter.
  • This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
    Example:
    example-instance

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation
Body ()
Root Schema : schema
Type: object
MCP policy details, including scope and type-specific configuration.
Show Source
Nested Schema : config
Type: object
Additional Properties Allowed: true
Policy-type-specific configuration. Its required fields depend on the policy type.
Nested Schema : links
Type: array
Links to related resources.
Show Source
Nested Schema : scope
Resource scope to which the MCP policy applies.
Match All
Resource scope to which the MCP policy applies.
Show Source
Nested Schema : PolicyScopeRs
Type: object
Resource scope to which the MCP policy applies.
Show Source

400 Response

Malformed parameters

401 Response

Unauthorized or insufficient design-time permissions

404 Response

Project or resource not found, or the MCP feature is not available

500 Response

Server error
Back to Top

Examples

The following example shows how to retrieve a project business policy, including its scope and configuration, by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.

Example: Retrieve a Project Business Policy

curl --request GET --include \
  --url "${BASE_URL}/ic/api/integration/v1/projects/${PROJECT_ID}/mcp/policies/business/${BUSINESS_POLICY_ID}?integrationInstance=${INTEGRATION_INSTANCE}" \
  --header "Authorization: Bearer ${ACCESS_TOKEN}" \
  --header "Accept: application/json"
Back to Top